unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  jpeg, ExtCtrls, USitePanel, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Panel1: TPanel;
    SitePanel1: TSitePanel;
    Button4: TButton;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button5: TButton;
    Button6: TButton;
    Edit3: TEdit;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SitePanel1SelectSite(Sender: TComponent;
      SelectObj: TCustomSite);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  SitePanel1.AddCustomSite('TEST1');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SitePanel1.SaveConfigFile;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SitePanel1.ClearALLCustomSite;
  SitePanel1.ReadConfigFile;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  SitePanel1.ClearALLCustomSite;
  SitePanel1.Invalidate;
end;

procedure TForm1.SitePanel1SelectSite(Sender: TComponent;
  SelectObj: TCustomSite);
begin
  Edit1.Text := SelectObj.Name;
  Edit2.Text := SelectObj.SiteDesc;

  Edit3.Text := IntToStr(SelectObj.ObjectID);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  if(SitePanel1.SelectSite <> nil)then
    begin
      SitePanel1.SelectSite.SiteDesc := Edit2.Text;
      SitePanel1.SelectSite.Invalidate;
    end;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  SitePanel1.DeleteSite(SitePanel1.SelectSite.ObjectID);
  SitePanel1.Invalidate;
end;

end.
